-- phpMyAdmin SQL Dump
-- version 4.2.11
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Apr 05, 2016 at 03:30 AM
-- Server version: 5.6.21-log
-- PHP Version: 5.6.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `akte_kelahiran`
--

-- --------------------------------------------------------

--
-- Table structure for table `akte`
--

CREATE TABLE IF NOT EXISTS `akte` (
`id` int(10) NOT NULL,
  `nama` varchar(50) NOT NULL,
  `alamat` varchar(255) NOT NULL,
  `tempatLahir` varchar(50) NOT NULL,
  `tanggalLahir` date NOT NULL,
  `namaAyah` varchar(50) NOT NULL,
  `alamatAyah` varchar(50) NOT NULL,
  `idAyah` varchar(20) NOT NULL,
  `namaIbu` varchar(50) NOT NULL,
  `alamatIbu` varchar(255) NOT NULL,
  `idIbu` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pemohon`
--

CREATE TABLE IF NOT EXISTS `pemohon` (
`id` int(10) NOT NULL,
  `idPermohonan` int(10) NOT NULL,
  `nama` varchar(50) NOT NULL,
  `NIK` varchar(20) NOT NULL,
  `alamat` varchar(255) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `permohonan`
--

CREATE TABLE IF NOT EXISTS `permohonan` (
`id` int(10) NOT NULL,
  `nama` varchar(50) NOT NULL,
  `alamat` varchar(255) NOT NULL,
  `tempatLahir` varchar(50) NOT NULL,
  `tanggalLahir` date NOT NULL,
  `namaAyah` varchar(50) NOT NULL,
  `alamatAyah` varchar(255) NOT NULL,
  `idAyah` varchar(20) NOT NULL,
  `namaIbu` varchar(50) NOT NULL,
  `alamatIbu` varchar(255) NOT NULL,
  `idIbu` varchar(20) NOT NULL,
  `status` varchar(20) NOT NULL,
  `tanggal_permohonan` date NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `permohonan`
--

INSERT INTO `permohonan` (`id`, `nama`, `alamat`, `tempatLahir`, `tanggalLahir`, `namaAyah`, `alamatAyah`, `idAyah`, `namaIbu`, `alamatIbu`, `idIbu`, `status`, `tanggal_permohonan`) VALUES
(33, 'Randi Chilyon Alfianto', 'Jl. Gempol Wetan 217', 'Bandung ', '1995-01-23', 'Alfianto', 'Pontianak', '12345123451234512345', 'Linda', 'Pontianak', '12341234123412341234', 'diproses', '2016-04-19'),
(34, 'Gerry Kastogi', 'Jl. Cisitu Lama', 'Bandung ', '1995-04-06', 'Kastogi', 'Bogor', '23456234562345623456', 'Jessica', 'Bogor', '23452345234523452345', 'diproses', '2016-01-19'),
(35, 'Vincent Theophilus Ciputra', 'Jl. Mekar Wangi', 'Bandung ', '1995-06-18', 'Ciputra', 'Bandung', '34567345673456734567', 'Ciputri', 'Bandung', '34563456345634563456', 'diproses', '2016-02-19'),
(36, 'Alexander Sukono', 'Cisitu', 'Bandung', '1995-02-11', 'Sukono', 'Jakarta', '45678456784567845678', 'Alexie', 'Jakarta', '45674567456745674567', 'diproses', '2016-03-10'),
(37, 'Jessica Andjani', 'Cisitu', 'Bandung', '1995-05-04', 'Lukman', 'Bandung', '11111111111111111111', 'Jessie', 'Bandung', '11111111111111111112', 'diproses', '2016-05-13');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `akte`
--
ALTER TABLE `akte`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `pemohon`
--
ALTER TABLE `pemohon`
 ADD PRIMARY KEY (`id`), ADD KEY `idPermohonan` (`idPermohonan`);

--
-- Indexes for table `permohonan`
--
ALTER TABLE `permohonan`
 ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `idAyah` (`idAyah`), ADD UNIQUE KEY `idIbu` (`idIbu`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `akte`
--
ALTER TABLE `akte`
MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `pemohon`
--
ALTER TABLE `pemohon`
MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `permohonan`
--
ALTER TABLE `permohonan`
MODIFY `id` int(10) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=38;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `pemohon`
--
ALTER TABLE `pemohon`
ADD CONSTRAINT `pemohon_ibfk_1` FOREIGN KEY (`idPermohonan`) REFERENCES `permohonan` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
