<?php
  session_start();
  include_once 'User.php';

  $user = new User();
  $id = $_SESSION['id'];
  if(!$user->get_session()){
    header("location:signin.php");
  }
  if($_GET['q'] == 'logout'){
    $user->user_logout();
    header("location:signin.php");
  }
?>

<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Bandung Web Kit | BDGWEBKIT</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  
  <script src="js/Chart.min.js"></script>
</head>
<body>
<div class="app app-header-fixed ">
    <!-- header -->
  <header id="header" class="app-header navbar" role="menu">
      <!-- navbar header -->
      <div class="navbar-header bg-info">
        <button class="pull-right visible-xs dk" ui-toggle-class="show" target=".navbar-collapse">
          <i class="glyphicon glyphicon-cog"></i>
        </button>
        <button class="pull-right visible-xs" ui-toggle-class="off-screen" target=".app-aside" ui-scroll="app">
          <i class="glyphicon glyphicon-align-justify"></i>
        </button>
        <!-- brand -->
        <a href="index.php" class="navbar-brand text-lt">          
          <img src="img/logo-small.png" alt="." class="small-logo hide">
          <img src="img/APKBLogo.png" alt="." class="large-logo">
        </a>
        <!-- / brand -->
      </div>
      <!-- / navbar header -->

      <!-- navbar collapse -->
      <div class="collapse pos-rlt navbar-collapse bg-info">
        <!-- buttons -->
        <div class="nav navbar-nav hidden-xs">
                  
        </div>
        <!-- / buttons -->

        <!-- link and dropdown -->
        <ul class="nav navbar-nav hidden-sm">
          <li>
            <a href="index.php">HOME</a>
          </li>
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="dropdown-toggle">
              <i class="fa fa-fw fa-plus visible-xs-inline-block"></i>
              <span>AKTIVITAS</span> <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <?php
                echo '
                  <li>
                    <a href="staffPermohonan.php?q=false&id_pengguna='.$id.'">
                      <span>Verifikasi Permohonan</span>
                    </a>
                  </li>
                ';
              ?>
              
            </ul>
          </li>
        </ul>
        <!-- / link and dropdown -->

        <!-- nabar right -->
        <ul class="nav navbar-nav navbar-right">
          
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="bg-blue profile-header dropdown-toggle clear" data-toggle="dropdown">
              <span class="thumb-sm avatar pull-left m-t-n-sm m-b-n-sm m-r-sm">
                <img src="img/01.jpg" alt="...">                
              </span>
              <?php
                echo '<span class="hidden-sm hidden-md m-r-xl"></span>'. $user->get_username($id) .' <i class="text14 icon-bdg_setting3 pull-right"></i>'
              ?>
            </a>
            <!-- dropdown -->
            <ul class="dropdown-menu animated fadeIn w-ml">             
              <li>
                <a href="?q=logout">Logout</a>
              </li>
            </ul>
            <!-- / dropdown -->
          </li>
        </ul>
        <!-- / navbar right -->
      </div>
      <!-- / navbar collapse -->
  </header>
  <!-- / header -->


    <!-- aside -->
  <aside id="aside" class="app-aside hidden-xs bg-dark">
      <div class="aside-wrap">
        <div class="navi-wrap">
          <!-- user -->
          <div class="clearfix hidden-xs text-center hide" id="aside-user">
            <div class="dropdown wrapper">
              <a href="app.page.profile">
                <span class="thumb-lg w-auto-folded avatar m-t-sm">
                  <img src="img/01.jpg" class="img-full" alt="...">
                </span>
              </a>
              <a href="#" data-toggle="dropdown" class="dropdown-toggle hidden-folded">
                <span class="clear">
                  <span class="block m-t-sm">
                    <strong class="font-bold text-lt">John.Smith</strong> 
                    <b class="caret"></b>
                  </span>
                  <span class="text-muted text-xs block">Art Director</span>
                </span>
              </a>
              <!-- dropdown -->
              <ul class="dropdown-menu animated fadeInRight w hidden-folded">
                <li class="wrapper b-b m-b-sm bg-info m-t-n-xs">
                  <span class="arrow top hidden-folded arrow-info"></span>
                  <div>
                    <p>300mb of 500mb used</p>
                  </div>
                  <div class="progress progress-xs m-b-none dker">
                    <div class="progress-bar bg-white" data-toggle="tooltip" data-original-title="50%" style="width: 50%"></div>
                  </div>
                </li>
                <li>
                  <a href>Settings</a>
                </li>
                <li>
                  <a href="page_profile.html">Profile</a>
                </li>
                <li>
                  <a href>
                    <span class="badge bg-danger pull-right">3</span>
                    Notifications
                  </a>
                </li>
                <li class="divider"></li>
                <li>
                  <a href="page_signin.html">Logout</a>
                </li>
              </ul>
              <!-- / dropdown -->
            </div>
            <div class="line dk hidden-folded"></div>
          </div>
          <!-- / user -->

         <!-- nav -->
          <nav ui-nav class="navi clearfix">
            <ul class="nav">
              <li class="hidden-folded m-t text-dark-grey text-xs padder-md padder-v-sm">
                <span>Navigation</span>
              </li>
              <li>
                <a href="index.php" class="text-dark-grey" >      
                  <i class="icon-bdg_dashboard icon-grey"></i>
                  <span class="font-bold">Dashboard</span>
                </a>               
              </li>
              
              <li class="line1 dg"></li>

              <li class="hidden-folded text-dark-grey text-xs padder-md padder-v-sm">
                <span>Components</span>
              </li>
              <?php
                echo '
                  <li>
                    <a href="staffPermohonan.php?q=false&id_pengguna='.$id.'" class="auto">
                      <i class="icon-bdg_table"></i>
                      <span class="font-bold">Verifikasi Permohonan</span>
                    </a>
                  </li>
              ';
              ?>
            </ul>
          </nav>
          <!-- nav -->
        </div>
      </div>
  </aside>
  <!-- / aside -->

<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="app-content-body ">
          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                  <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Home</a></li>                
                <li class="active"><i class="fa fa-angle-right"></i>Chart</li>
              </ul>
          </div>
          <div class="bg-light b-b wrapper-md padder-md ">
            <h1 class="m-n font-bold h4 padder">Statistik APKB</h1>
          </div>
          <div class="wrapper-lg bg-light">     
            <form>
              Tahun: 
              <input type="text" name="tahun" placeholder="Masukkan Tahun">
              <input type="hidden" name="q" value="false">
              <br>
              Jenis Statistik:
              <select name="jenisStatistik">
                <option value="Kelahiran">Kelahiran</option>
                <option value="Rumah_Sakit">Rumah Sakit</option>
                <option value="Jenis_Kelamin">Jenis Kelamin</option>
              </select>
              <br>
              <button>Go</button>
            </form>
            
            <br>

          <?php
          error_reporting(0);
          $tahun_masukan = "";
          if ($_GET["tahun"] != "" && $_GET["jenisStatistik"] == "Kelahiran"){
            $tahun_masukan = $_GET["tahun"];

            $conn = mysqli_connect("localhost","root","","akte_kelahiran");
            // Check connection
            if (mysqli_connect_errno())
            {
              echo "Failed to connect to MySQL: " . mysqli_connect_error();
            }
            $sql = "SELECT COUNT(*) AS jlh_permohonan, MONTH(tanggal_permohonan) AS Bulan FROM permohonan WHERE YEAR(tanggal_permohonan) = '$tahun_masukan' GROUP BY MONTH(tanggal_permohonan)";
            $result = $conn->query($sql);
            $sql2 = "SELECT COUNT(*) AS jlh_proses, MONTH(tanggal_permohonan) AS Bulan FROM permohonan WHERE status = 'diproses' AND YEAR(tanggal_permohonan) = '$tahun_masukan' GROUP BY MONTH(tanggal_permohonan)";
            $result2 = $conn->query($sql2);

            $Stats = array();
            if ($result->num_rows > 0 && $result2->num_rows > 0) {
              while($row = $result->fetch_assoc()){
                while($row2 = $result2->fetch_assoc()){
                      $Stats[] = $row2["jlh_proses"]/$row["jlh_permohonan"];
                }
              }              
              echo'
                <canvas id="income" width="600" height="400"></canvas>
                  <script>
                    // bar chart data
                    var barData = {
                      labels : ["January","February","March","April","May","June","July","August","September","October","November","Desember"],
                      datasets : [
                        {
                          fillColor : "#48A497",
                          strokeColor : "#48A4D1",
                          data : ['.$Stats[0].','.$Stats[1].','.$Stats[2].','.$Stats[3].','.$Stats[4].','.$Stats[5].','.$Stats[6].','.$Stats[7].','.$Stats[8].','.$Stats[9].','.$Stats[10].','.$Stats[11].']
                        }
                      ]
                    }
                    // get bar chart canvas
                    var income = document.getElementById("income").getContext("2d");
                    // draw bar chart
                    new Chart(income).Bar(barData);
                  </script>
              ';
            }
            else{
              for($i =0;$i<12;$i++){
                $Stats[] = 0;
              }
              echo "Tidak Ada Data Pada Tahun Tersebut";
            }
          }
          else if ($_GET["tahun"] != "" && $_GET["jenisStatistik"] == "Rumah_Sakit"){
            $tahun_masukan = $_GET["tahun"];
            $conn = mysqli_connect("localhost","root","","akte_kelahiran");
            // Check connection
            if (mysqli_connect_errno())
            {
              echo "Failed to connect to MySQL: " . mysqli_connect_error();
            }
            $sql = "SELECT COUNT(*) AS jlh_lahir, rumahsakit.nama AS nama_rs FROM permohonan INNER JOIN rumahsakit ON permohonan.idRumahSakit = rumahsakit.id WHERE YEAR(tanggal_permohonan) = '$tahun_masukan' GROUP BY nama_rs ORDER BY rumahsakit.id";
            $result = $conn->query($sql);
            $Stats = array();
            $RS = array();
            if ($result->num_rows > 0) {
              while($row = $result->fetch_assoc()){
                $Stats[] = $row["jlh_lahir"];
                $RS[] = $row["nama_rs"];
              }
              // echo $RS[0];
              // echo $RS[1];
              // echo $RS[2];
              // echo $RS[3];
              // echo $RS[4];
              echo'
                <canvas id="income" width="600" height="400"></canvas>
                  <script>
                    // bar chart data
                    var barData = {
                      labels : ["'.$RS[0].'","'.$RS[1].'","'.$RS[2].'","'.$RS[3].'","'.$RS[4].'"],

                      datasets : [
                        {
                          fillColor : "#48A497",
                          strokeColor : "#48A4D1",
                          data : ['.$Stats[0].','.$Stats[1].','.$Stats[2].','.$Stats[3].','.$Stats[4].']
                        }
                      ]
                    }
                    // get bar chart canvas
                    var income = document.getElementById("income").getContext("2d");
                    // draw bar chart
                    new Chart(income).Bar(barData);
                  </script>
              ';
            }
            else{
              for($i =0;$i<count($Stats);$i++){
                $Stats[] = 0;
              }
              echo "Tidak Ada Data Pada Tahun Tersebut";
            }
          }

          else if ($_GET["tahun"] != "" && $_GET["jenisStatistik"] == "Jenis_Kelamin"){
            $tahun_masukan = $_GET["tahun"];
            $conn = mysqli_connect("localhost","root","","akte_kelahiran");
            // Check connection
            if (mysqli_connect_errno())
            {
              echo "Failed to connect to MySQL: " . mysqli_connect_error();
            }
            $sql = "SELECT jenisKelamin as jk, count(*) as jumlah FROM `permohonan` WHERE YEAR(tanggal_permohonan) = 2016 group by jenisKelamin";
            $result = $conn->query($sql);
            $Stats = array();
            $RS = array();
            if ($result->num_rows > 0) {
              while($row = $result->fetch_assoc()){
                $Stats[] = $row["jumlah"];
              }
              // echo $RS[0];
              // echo $RS[1];
              // echo $RS[2];
              // echo $RS[3];
              // echo $RS[4];
              echo'
                <canvas id="income" width="600" height="400"></canvas>
                  <script>
                    // bar chart data
                    var barData = {
                      labels : ["Laki-laki","Perempuan"],

                      datasets : [
                        {
                          fillColor : "#48A497",
                          strokeColor : "#48A4D1",
                          data : ['.$Stats[0].','.$Stats[1].']
                        }
                      ]
                    }
                    // get bar chart canvas
                    var income = document.getElementById("income").getContext("2d");
                    // draw bar chart
                    new Chart(income).Bar(barData);
                  </script>
              ';
            }
            else{
              for($i =0;$i<2;$i++){
                $Stats[] = 0;
              }
              echo "Tidak Ada Data Pada Tahun Tersebut";
            }
          }

          else{
            echo "Belum Ada Data";
          }

        ?>
        </div>

        <div class="row">
          <div class="col-md-12 padder-v"></div>
        </div>
    </div>


  </div>
      <!-- App-content-body -->  
</div>
    <!-- end hbox hbox-auto-xs -->
</div>


   <!-- footer -->
  <footer id="footer" class="app-footer" role="footer" style="position:fixed;">
    <div class="wrapper-md padder-lg b-t bg-light">
      <span class="pull-right">&copy; Copyright Bandung <a href ui-scroll="app" class="m-l-sm text-muted"><i class="icon-bdg_arrow11"></i></a></span>
     Made with <i class="text-danger fa fa-heart"></i> in Bandung
    </div>
  </footer>
  <!-- / footer -->

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>