<?php
  include_once 'permohonanClass.php';
  $permohonan_id = isset($_GET['permohonan_id']) ? $_GET['permohonan_id'] : '';

  $permohonan = new Permohonan();
  $data = $permohonan_id != '' ? $permohonan->getPermohonan($permohonan_id) : array();
  $data['nama'] = !isset($data['nama']) ? '' : $data['nama'];
  $data['alamat'] = !isset($data['alamat']) ? '' : $data['alamat'];
  $data['jenisKelamin'] = !isset($data['jenisKelamin']) ? '' : $data['jenisKelamin'];
  $data['tempatLahir'] = !isset($data['tempatLahir']) ? '' : $data['tempatLahir'];
  $data['tanggalLahir'] = !isset($data['tanggalLahir']) ? '' : $data['tanggalLahir'];
  $data['namaAyah'] = !isset($data['namaAyah']) ? '' : $data['namaAyah'];
  $data['alamatAyah'] = !isset($data['alamatAyah']) ? '' : $data['alamatAyah'];
  $data['idAyah'] = !isset($data['idAyah']) ? '' : $data['idAyah'];
  $data['namaIbu'] = !isset($data['namaIbu']) ? '' : $data['namaIbu'];
  $data['alamatIbu'] = !isset($data['alamatIbu']) ? '' : $data['alamatIbu'];
  $data['idIbu'] = !isset($data['idIbu']) ? '' : $data['idIbu'];

  session_start();
  include_once 'User.php';

  $user = new User();
  $id = $_SESSION['id'];
  if(!$user->get_session()){
    header("location:signin.php");
  }
  if($_GET['q'] == 'logout'){
    $user->user_logout();
    header("location:signin.php");
  }
?>

<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Bandung Web Kit | BDGWEBKIT</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  

    <!-- header -->
  <header id="header" class="app-header navbar" role="menu">
      <!-- navbar header -->
      <div class="navbar-header bg-info">
        <button class="pull-right visible-xs dk" ui-toggle-class="show" target=".navbar-collapse">
          <i class="glyphicon glyphicon-cog"></i>
        </button>
        <button class="pull-right visible-xs" ui-toggle-class="off-screen" target=".app-aside" ui-scroll="app">
          <i class="glyphicon glyphicon-align-justify"></i>
        </button>
        <!-- brand -->
        <a href="index.php" class="navbar-brand text-lt">          
          <img src="img/logo-small.png" alt="." class="small-logo hide">
          <img src="img/APKBLogo.png" alt="." class="large-logo">
        </a>
        <!-- / brand -->
      </div>
      <!-- / navbar header -->

      <!-- navbar collapse -->
      <div class="collapse pos-rlt navbar-collapse bg-info">
        <!-- buttons -->
        <div class="nav navbar-nav hidden-xs">
                  
        </div>
        <!-- / buttons -->

        <!-- link and dropdown -->
        <ul class="nav navbar-nav hidden-sm">
          <li>
            <a href="index.php">HOME</a>
          </li>
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="dropdown-toggle">
              <i class="fa fa-fw fa-plus visible-xs-inline-block"></i>
              <span>AKTIVITAS</span> <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <?php
                echo '
                  <li>
                    <a href="staffPermohonan.php?q=false&id_pengguna='.$id.'">
                      <span>Verifikasi Permohonan</span>
                    </a>
                  </li>
                  <li>
                    <a href="statistik.php?q=false">
                      <span>Statistik</span>
                    </a>
                  </li>
                ';
              ?>
            </ul>
          </li>
        </ul>
        <!-- / link and dropdown -->

        <!-- nabar right -->
        <ul class="nav navbar-nav navbar-right">
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="bg-blue profile-header dropdown-toggle clear" data-toggle="dropdown">
              <span class="thumb-sm avatar pull-left m-t-n-sm m-b-n-sm m-r-sm">
                <img src="img/01.jpg" alt="...">                
              </span>
              <?php
                echo '<span class="hidden-sm hidden-md m-r-xl"></span>'. $user->get_username($id) .' <i class="text14 icon-bdg_setting3 pull-right"></i>'
              ?>
            </a>
            <!-- dropdown -->
            <ul class="dropdown-menu animated fadeIn w-ml">             
              <li>
                <a href="?q=logout">Logout</a>
              </li>
            </ul>
            <!-- / dropdown -->
          </li>
        </ul>
        <!-- / navbar right -->
      </div>
      <!-- / navbar collapse -->
  </header>
  <!-- / header -->


    <!-- aside -->
  <aside id="aside" class="app-aside hidden-xs bg-dark">
      <div class="aside-wrap">
        <div class="navi-wrap">
          <!-- user -->
          <div class="clearfix hidden-xs text-center hide" id="aside-user">
            <div class="dropdown wrapper">
              <a href="app.page.profile">
                <span class="thumb-lg w-auto-folded avatar m-t-sm">
                  <img src="img/01.jpg" class="img-full" alt="...">
                </span>
              </a>
              <a href="#" data-toggle="dropdown" class="dropdown-toggle hidden-folded">
                <span class="clear">
                  <span class="block m-t-sm">
                    <strong class="font-bold text-lt">John.Smith</strong> 
                    <b class="caret"></b>
                  </span>
                  <span class="text-muted text-xs block">Art Director</span>
                </span>
              </a>
              <!-- dropdown -->
              <ul class="dropdown-menu animated fadeInRight w hidden-folded">
                <li class="wrapper b-b m-b-sm bg-info m-t-n-xs">
                  <span class="arrow top hidden-folded arrow-info"></span>
                  <div>
                    <p>300mb of 500mb used</p>
                  </div>
                  <div class="progress progress-xs m-b-none dker">
                    <div class="progress-bar bg-white" data-toggle="tooltip" data-original-title="50%" style="width: 50%"></div>
                  </div>
                </li>
                <li>
                  <a href>Settings</a>
                </li>
                <li>
                  <a href="page_profile.html">Profile</a>
                </li>
                <li>
                  <a href>
                    <span class="badge bg-danger pull-right">3</span>
                    Notifications
                  </a>
                </li>
                <li class="divider"></li>
                <li>
                  <a href="page_signin.html">Logout</a>
                </li>
              </ul>
              <!-- / dropdown -->
            </div>
            <div class="line dk hidden-folded"></div>
          </div>
          <!-- / user -->

         <!-- nav -->
          <nav ui-nav class="navi clearfix">
            <ul class="nav">
              <li class="hidden-folded m-t text-dark-grey text-xs padder-md padder-v-sm">
                <span>Navigation</span>
              </li>
              <li>
                <a href="index.php" class="text-dark-grey" >      
                  <i class="icon-bdg_dashboard icon-grey"></i>
                  <span class="font-bold">Dashboard</span>
                </a>               
              </li>
              
              <li class="line1 dg"></li>

              <li class="hidden-folded text-dark-grey text-xs padder-md padder-v-sm">
                <span>Components</span>
              </li>
              <?php
                echo '
                  <li>
                    <a href="staffPermohonan.php?q=false&id_pengguna='.$id.'" class="auto">
                      <i class="icon-bdg_table"></i>
                      <span class="font-bold">Verifikasi Permohonan</span>
                    </a>
                  </li>
                  <li>
                    <a href="statistik.php?q=false" class="auto">
                      <i class="icon-bdg_table"></i>
                      <span class="font-bold">Statistik</span>
                    </a>
                  </li>
              ';
              ?>
            </ul>
          </nav>
          <!-- nav -->



        </div>
      </div>
  </aside>
  <!-- / aside -->

<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                   <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Home</a></li>
                <li><i class="fa fa-angle-right"></i><a href>Permohonan Pembuatan Akte Kelahiran</a></li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-bold h4 padder">Permohonan Pembuatan Akte Kelahiran</h1>
          </div>      
      <!-- App-content-body -->  




<div class="wrapper-lg bg-light" ng-controller="FormDemoCtrl">
  <div class="panel panel-default">
    <div class="panel-body">
      <form action="<?php if($user->get_role($id) != "kepalaDisdukcapil") echo 'staffPermohonan.php?q=false'; else echo 'http://167.205.34.149:8000/api/lahir'; ?>" class="form-horizontal" method="post">        
        <!--div class="form-group">
          <input type="hidden" name="permohonan_id" value="<?php echo $permohonan_id ?>">
          <label class="col-sm-2 control-label">Ada Ayah ?</label>
          <div class="col-sm-10">
          <div class="radio" >
              <label style="margin-right:15px">
                <input onclick ="enableElement()" type="radio" name="optionayah" id="optionsRadios1" value="ada" checked disabled>
                Ada 
              </label>
              <label>
                <input onclick="disableElement()" type="radio" name="optionayah" id="optionsRadios2" value="tidak" disabled>
                Tidak
              </label>
            </div>
          </div>
        </div-->
        <input type="hidden" name="permohonan_id" value="<?php echo $_GET['permohonan_id'] ?>">
<!--         <input type="hidden" name="namaAyah" value="<?php echo $data['namaAyah'] ?>">
        <input type="hidden" name="idAyah" value="<?php echo $data['idAyah']?>">
        <input type="hidden" name="alamatAyah" value="<?php echo $data['alamatAyah'] ?>">
        <input type="hidden" name="namaIbu" value="<?php echo $data['namaIbu'] ?>">
        <input type="hidden" name="idIbu" value="<?php echo $data['idIbu'] ?>">
        <input type="hidden" name="alamatIbu" value="<?php echo $data['alamatIbu'] ?>"> -->
        <input type="hidden" name="alamat" value="<?php echo $data['alamat'] ?>">
        <input type="hidden" name="nama" value="<?php echo $data['nama'] ?>">
        <input type="hidden" name="tempat_lahir" value="<?php echo $data['tempatLahir'] ?>">
        <input type="hidden" name="tanggal_lahir" value="<?php echo $data['tanggalLahir'] ?>">
        <input type="hidden" name="jenis_kelamin" value="<?php echo $data['jenisKelamin'] ?>">
        <<input type="hidden" name="idIbu" value="<?php echo $data['id_ibu'] ?>">

        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">Nama Ayah</label>
          <div class="col-sm-10">
            <label class="control-label" id="Namaayah" name="NamaAyah"><?php echo "<b>" . $data['namaAyah'] . "</b>" ?></label>
          </div>
        </div>
        
        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">NIK Ayah</label>
          <div class="col-sm-10">
            <label class="control-label" id="NIKayah" name="NIKAyah"> <?php echo "<b>" . $data['idAyah'] . "</b>" ?></label>
          </div>
        </div>
        
        <div class="form-group">
          <label  class="col-sm-2 control-label" for="input-id-1">Alamat Ayah</label>
          <div class="col-sm-10">
            <label class="control-label" id="Alamatayah" name="AlamatAyah" > <?php echo "<b>" .  $data['alamatAyah'] . "</b>" ?></label>
          </div>
        </div>
        
        <div class="form-group">
          <label  class="col-sm-2 control-label" for="input-id-1">Nama Ibu</label>
          <div class="col-sm-10">
            <label class="control-label" name="NamaIbu"><?php echo "<b>" . $data['namaIbu'] . "</b>" ?></label>
          </div>
        </div>
        
        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">NIK Ibu</label>
          <div class="col-sm-10">
            <label class="control-label" id="input-id-1" min="1" name="NIKIbu"><?php echo "<b>" .  $data['idIbu'] . "</b>" ?></label>
          </div>
        </div>

        <div class="form-group">
          <label  class="col-sm-2 control-label" for="input-id-1">Alamat Ibu</label>
          <div class="col-sm-10">
            <label class="control-label" name="AlamatIbu"><?php echo "<b>" . $data['alamatIbu'] . "</b>" ?></label>
          </div>
        </div>
          
        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">Nama Anak</label>
          <div class="col-sm-10">
            <label class="control-label" id="input-id-1" name="NamaAnak"><?php  echo "<b>" .  $data['nama'] . "</b>" ?></label>
          </div>
        </div>

        <div class="form-group">
          <label  class="col-sm-2 control-label" for="input-id-1">Alamat Anak</label>
          <div class="col-sm-10">
            <label class="control-label" name="Alamat"><?php echo "<b>" . $data['alamat'] . "</b>" ?></label>
          </div>
        </div>
            
        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">Tempat Lahir</label>
          <div class="col-sm-10">
            <label class="control-label" id="input-id-1" name="TempatLahir"><?php echo "<b>" . $data['tempatLahir'] . "</b>" ?></label>
          </div>
        </div>
        
        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">Tanggal Lahir</label>
          <div class="col-sm-10">
            <label class="control-label" id="input-id-1" name="TanggalLahir"><?php echo "<b>"; $timestamp = strtotime($data['tanggalLahir']); echo date('d/m/Y', $timestamp); echo "</b>"; ?></label>
          </div>
        </div>
        
        <div class="form-group">
          <label class="col-sm-2 control-label" for="input-id-1">Jenis Kelamin</label>
          <div class="col-sm-10">
            <?php
              if($data['jenisKelamin'] == "L"){
                echo '
                <label class="control-label" id="input-id-1" name="JenisKelamin"><b>Laki - Laki</b></label>
              ';
              } else if($data['jenisKelamin'] == "P"){
                echo '
                <label class="control-label" id="input-id-1" name="JenisKelamin"><b>Perempuan</b></label>
              ';
              }
            ?>
          </div>
        </div>
        
        <div class="form-group">
          <label class="col-sm-2 control-label">Surat Keterangan dari Rumah Sakit / Bidan</label>
          <div class="col-sm-10">
            <label class="control-label" id="input-id-1" name="surat"><a href="<?php echo "/surat/" . $data['nama'] . $data['idIbu'] . ".pdf";?>" style="margin-left:10px"><font color="blue"><b>Surat</b></font></a></label>
          </div>
        </div>
        
        <div class="form-group">
          <?php
            if($user->get_role($id) == "stafDisdukcapil"){
              echo '
                <div class="col-sm-4 col-sm-offset-2">
                  <button type="submit" onclick="return confirm(\'Apakah anda yakin?\')" name="verify" class="btn btn-info">Verify</button>
                  <a href="penolakan.php?q=false&permohonan_id='. $permohonan_id . '"  name="reject" class="btn btn-info btn-danger">Reject</a>
                </div>
              ';
            } else if($user->get_role($id) == "rumahSakit"){
              echo '
                <div class="col-sm-4 col-sm-offset-2">
                  <button type="submit" onclick="return confirm(\'Apakah anda yakin?\')" class="btn btn-info">Verify</button>
                  <a href="penolakan.php?q=false&permohonan_id='. $permohonan_id . '"  name="reject" class="btn btn-info btn-danger">Reject</a>
                </div>
              ';
            } else if($user->get_role($id) == "kepalaDisdukcapil"){
              echo '
                <div class="col-sm-4 col-sm-offset-2">
                  <button type="submit" onclick="return confirm(\'Apakah anda yakin?\')" class="btn btn-info">Cetak Akte</button>
                  <a href="penolakan.php?q=false&permohonan_id='. $permohonan_id . '"  name="reject" class="btn btn-info btn-danger">Reject</a>
                </div>
              ';
            } 
          ?>
          
        </div>
      </form>
    </div>
  </div>
</div>

  </div>
    <!-- end hbox hbox-auto-xs -->
</div>


 <!-- footer -->
  <footer id="footer" class="app-footer" role="footer">
    <div class="wrapper-md padder-lg b-t bg-light">
      <span class="pull-right">&copy; Copyright Bandung <a href ui-scroll="app" class="m-l-sm text-muted"><i class="icon-bdg_arrow11"></i></a></span>
     Made with <i class="text-danger fa fa-heart"></i> in Bandung
    </div>
  </footer>
  <!-- / footer -->



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>
<script src="js/formpermohonan.js"></script>

</body>
</html>
