-- phpMyAdmin SQL Dump
-- version 4.4.14
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: May 16, 2016 at 11:49 AM
-- Server version: 5.6.26
-- PHP Version: 5.6.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `akte_kelahiran`
--

-- --------------------------------------------------------

--
-- Table structure for table `pengguna`
--

CREATE TABLE IF NOT EXISTS `pengguna` (
  `id` int(10) NOT NULL,
  `username` varchar(30) NOT NULL,
  `email` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `role` varchar(30) NOT NULL,
  `idRumahsakit` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pengguna`
--

INSERT INTO `pengguna` (`id`, `username`, `email`, `password`, `role`, `idRumahsakit`) VALUES
(1, 'gerrykastogi', 'gerry.kastogi@gmail.com', '827CCB0EEA8A706C4C34A16891F84E7B', 'stafDisdukcapil', 0),
(2, 'alexsukono', 'alex.sukono@gmail.com', '827CCB0EEA8A706C4C34A16891F84E7B', 'pemohon', 0),
(3, 'vincenttc', 'vincent.tc@gmail.com', '827CCB0EEA8A706C4C34A16891F84E7B', 'rumahSakit', 1);

-- --------------------------------------------------------

--
-- Table structure for table `permohonan`
--

CREATE TABLE IF NOT EXISTS `permohonan` (
  `id` int(10) NOT NULL,
  `id_pengguna` int(11) NOT NULL,
  `nama` varchar(50) NOT NULL,
  `alamat` varchar(255) NOT NULL,
  `tempatLahir` varchar(50) NOT NULL,
  `tanggalLahir` date NOT NULL,
  `jenisKelamin` varchar(2) NOT NULL,
  `namaAyah` varchar(50) NOT NULL,
  `alamatAyah` varchar(255) NOT NULL,
  `idAyah` varchar(20) NOT NULL,
  `namaIbu` varchar(50) NOT NULL,
  `alamatIbu` varchar(255) NOT NULL,
  `idIbu` varchar(20) NOT NULL,
  `status` varchar(20) NOT NULL,
  `tanggal_permohonan` date NOT NULL,
  `idRumahsakit` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=42 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `permohonan`
--

INSERT INTO `permohonan` (`id`, `id_pengguna`, `nama`, `alamat`, `tempatLahir`, `tanggalLahir`, `jenisKelamin`, `namaAyah`, `alamatAyah`, `idAyah`, `namaIbu`, `alamatIbu`, `idIbu`, `status`, `tanggal_permohonan`, `idRumahsakit`) VALUES
(1, 2, 'sukono', 'Bandung', 'Bandung', '0000-00-00', 'L', 'sukono', 'Bandung', '123', 'sukono', 'Bandung', '123', 'diproses', '0000-00-00', 1),
(33, 0, 'Randi Chilyon Alfianto', 'Jl. Gempol Wetan 217', 'Bandung ', '1995-01-23', 'P', 'AlfiaNI', 'Pontianak', '12345123451234512345', 'Linda', 'Pontianak', '12341234123412341234', 'diproses', '2016-04-19', 2),
(34, 0, 'Gerry Kastogi', 'Jl. Cisitu Lama', 'Bandung ', '1995-04-06', 'L', 'Kastogi', 'Bogor', '23456234562345623456', 'Jessica', 'Bogor', '23452345234523452345', 'diproses', '2016-01-19', 3),
(35, 0, 'Vincent Theophilus Ciputra', 'Jl. Mekar Wangi', 'Bandung ', '1995-06-18', 'L', 'Ciputra', 'Bandung', '34567345673456734567', 'Ciputri', 'Bandung', '34563456345634563456', 'diproses', '2016-02-19', 4),
(36, 0, 'Alexander Sukono', 'Cisitu', 'Bandung', '1995-02-11', 'L', 'Sukono', 'Jakarta', '45678456784567845678', 'Alexie', 'Jakarta', '45674567456745674567', 'diproses', '2016-03-10', 5),
(37, 0, 'Jessica Andjani', 'Cisitu', 'Bandung', '1995-05-04', 'L', 'Lukman', 'Bandung', '11111111111111111111', 'Jessie', 'Bandung', '11111111111111111112', 'diproses', '2016-05-13', 0),
(38, 0, 'SDFKLJFLKS', 'JFDKLJLK;SFS', 'KJFDSKLFJ', '2012-12-12', 'L', 'DFJSDHAFKJDFH', 'KDJHJKLSAHSD', '121324', 'JKDSHF', 'JFSHJKSFH', '12214', 'diproses', '2016-04-05', 0),
(39, 0, 'Alfianto', 'Bandung', 'Bogor', '2012-12-12', 'L', 'Alex', 'Bandung', '12436474111', 'Chilyon', 'Bandung', '251326723', 'diproses', '2016-04-05', 0);

-- --------------------------------------------------------

--
-- Table structure for table `rumahsakit`
--

CREATE TABLE IF NOT EXISTS `rumahsakit` (
  `id` int(11) NOT NULL,
  `nama` varchar(50) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rumahsakit`
--

INSERT INTO `rumahsakit` (`id`, `nama`) VALUES
(1, 'Rumah Sakit Cisitu'),
(2, 'Bidan Maju Jaya'),
(3, 'Bidan Gadungan'),
(4, 'Bidan Sakti'),
(5, 'Rumah Sakit Cihampelas');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `pengguna`
--
ALTER TABLE `pengguna`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `permohonan`
--
ALTER TABLE `permohonan`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `idAyah` (`idAyah`),
  ADD UNIQUE KEY `idIbu` (`idIbu`);

--
-- Indexes for table `rumahsakit`
--
ALTER TABLE `rumahsakit`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `pengguna`
--
ALTER TABLE `pengguna`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `permohonan`
--
ALTER TABLE `permohonan`
  MODIFY `id` int(10) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=42;
--
-- AUTO_INCREMENT for table `rumahsakit`
--
ALTER TABLE `rumahsakit`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=6;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
