<!DOCTYPE html>
<html lang="en" class="">
<?php
  session_start();
  include_once 'User.php';

  $user = new User();
  $id = $_SESSION['id'];
  if(!$user->get_session()){
    header("location:signin.php");
  }
  if($_GET['q'] == 'logout'){
    $user->user_logout();
    header("location:signin.php");
  }
?>

<head>
  <meta charset="utf-8" />
  <title>Bandung Web Kit | BDGWEBKIT</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  

    <!-- header -->
  <header id="header" class="app-header navbar" role="menu">
      <!-- navbar header -->
      <div class="navbar-header bg-info">
        <button class="pull-right visible-xs dk" ui-toggle-class="show" target=".navbar-collapse">
          <i class="glyphicon glyphicon-cog"></i>
        </button>
        <button class="pull-right visible-xs" ui-toggle-class="off-screen" target=".app-aside" ui-scroll="app">
          <i class="glyphicon glyphicon-align-justify"></i>
        </button>
        <!-- brand -->
        <a href="index.php" class="navbar-brand text-lt">          
          <img src="img/logo-small.png" alt="." class="small-logo hide">
          <img src="img/APKBLogo.png" alt="." class="large-logo">
        </a>
        <!-- / brand -->
      </div>
      <!-- / navbar header -->

      <!-- navbar collapse -->
      <div class="collapse pos-rlt navbar-collapse bg-info">
        <!-- buttons -->
        <div class="nav navbar-nav hidden-xs">
                  
        </div>
        <!-- / buttons -->

        <!-- link and dropdown -->
        <ul class="nav navbar-nav hidden-sm">
          <li>
            <a href="index.php">HOME</a>
          </li>
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="dropdown-toggle">
              <i class="fa fa-fw fa-plus visible-xs-inline-block"></i>
              <span>AKTIVITAS</span> <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <?php
                if($user->get_role($id) == "pemohon"){
                  echo '
                  <li>
                    <a href="formpermohonan.php?q=false&id_pengguna='. $id .'">
                      <span>Ajukan Permohonan</span>
                    </a>
                  </li>

                  <li>
                    <a href="permohonan.php?q=false&id_pengguna='. $id .'">
                      <span>Lihat Status Permohonan</span>
                    </a>
                  </li>';
                } else if($user->get_role($id) == "stafDisdukcapil"){
                  echo '
                  <li>
                    <a href="staffPermohonan.php?q=false&id_pengguna='. $id .'">
                      <span>Verifikasi Permohonan</span>
                    </a>
                  </li>

                  <li>
                    <a href="statistik.php?q=false">
                      <span>Statistik</span>
                    </a>
                  </li>';
                }
              ?>
              
            </ul>
          </li>
        </ul>
        <!-- / link and dropdown -->

        <!-- nabar right -->
        <ul class="nav navbar-nav navbar-right">
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="bg-blue profile-header dropdown-toggle clear" data-toggle="dropdown">
              <span class="thumb-sm avatar pull-left m-t-n-sm m-b-n-sm m-r-sm">
                <img src="img/01.jpg" alt="...">                
              </span>
              <?php
                echo '<span class="hidden-sm hidden-md m-r-xl"></span>'. $user->get_username($id) .' <i class="text14 icon-bdg_setting3 pull-right"></i>'
              ?>
              
            </a>
            <!-- dropdown -->
            <ul class="dropdown-menu animated fadeIn w-ml">             
              <li class="divider"></li>
              <li>
                <a href="?q=logout">Logout</a>
              </li>
            </ul>
            <!-- / dropdown -->
          </li>
        </ul>
        <!-- / navbar right -->
      </div>
      <!-- / navbar collapse -->
  </header>
  <!-- / header -->


    <!-- aside -->
  <aside id="aside" class="app-aside hidden-xs bg-dark">
      <div class="aside-wrap">
        <div class="navi-wrap">
          <!-- user -->
          <div class="clearfix hidden-xs text-center hide" id="aside-user">
            <div class="dropdown wrapper">
              <a href="app.page.profile">
                <span class="thumb-lg w-auto-folded avatar m-t-sm">
                  <img src="img/01.jpg" class="img-full" alt="...">
                </span>
              </a>
              <a href="#" data-toggle="dropdown" class="dropdown-toggle hidden-folded">
                <span class="clear">
                  <span class="block m-t-sm">
                    <strong class="font-bold text-lt">John.Smith</strong> 
                    <b class="caret"></b>
                  </span>
                  <span class="text-muted text-xs block">Art Director</span>
                </span>
              </a>
              <!-- dropdown -->
              <ul class="dropdown-menu animated fadeInRight w hidden-folded">
                <li class="wrapper b-b m-b-sm bg-info m-t-n-xs">
                  <span class="arrow top hidden-folded arrow-info"></span>
                  <div>
                    <p>300mb of 500mb used</p>
                  </div>
                  <div class="progress progress-xs m-b-none dker">
                    <div class="progress-bar bg-white" data-toggle="tooltip" data-original-title="50%" style="width: 50%"></div>
                  </div>
                </li>
                <li>
                  <a href>Settings</a>
                </li>
                <li>
                  <a href="page_profile.html">Profile</a>
                </li>
                <li>
                  <a href>
                    <span class="badge bg-danger pull-right">3</span>
                    Notifications
                  </a>
                </li>
                <li class="divider"></li>
                <li>
                  <a href="page_signin.html">Logout</a>
                </li>
              </ul>
              <!-- / dropdown -->
            </div>
            <div class="line dk hidden-folded"></div>
          </div>
          <!-- / user -->

         <!-- nav -->
          <nav ui-nav class="navi clearfix">
            <ul class="nav">
              <li class="hidden-folded m-t text-dark-grey text-xs padder-md padder-v-sm">
                <span>Navigation</span>
              </li>
              <li class="active">
                <a href="index.php" class="text-dark-grey" >      
                  <i class="icon-bdg_dashboard icon-grey"></i>
                  <span class="font-bold">Dashboard</span>
                </a>               
              </li>
              
              <li class="line1 dg"></li>

              <li class="hidden-folded text-dark-grey text-xs padder-md padder-v-sm">
                <span>Components</span>
              </li>
              <?php 
                if($user->get_role($id) == "pemohon"){
                  echo '
                    <li>
                      <a href="formpermohonan.php?q=false&id_pengguna='. $id .'" class="auto">
                        <i class="icon-bdg_table"></i>
                        <span class="font-bold">Isi Permohonan</span>
                      </a>
                    </li>
                    <li>
                      <a href="permohonan.php?q=false&id_pengguna='. $id .'" class="auto">
                        <i class="icon-bdg_table"></i>
                        <span class="font-bold">Cek Status</span>
                      </a>
                    </li>';
                } else if($user->get_role($id) == "stafDisdukcapil" || $user->get_role($id) == "kepalaDisdukcapil"){
                  echo '
                    <li>
                      <a href="staffPermohonan.php?q=false&id_pengguna='. $id .'" class="auto">
                        <i class="icon-bdg_table"></i>
                        <span class="font-bold">Verifikasi Permohonan</span>
                      </a>
                    </li>
                    <li>
                      <a href="statistik.php?q=false" class="auto">
                        <i class="icon-bdg_table"></i>
                        <span class="font-bold">Statistik</span>
                      </a>
                    </li>';
                } else if($user->get_role($id) == "rumahSakit"){
                  echo '
                    <li>
                      <a href="staffPermohonan.php?q=false&id_pengguna='. $id .'" class="auto">
                        <i class="icon-bdg_table"></i>
                        <span class="font-bold">Verifikasi Permohonan</span>
                      </a>
                    </li>
                    <li>
                      <a href="statistik.php?q=false" class="auto">
                        <i class="icon-bdg_table"></i>
                        <span class="font-bold">Statistik</span>
                      </a>
                    </li>';
                }
              ?>
            </ul>
          </nav>
          <!-- nav -->
        </div>
      </div>
  </aside>
  <!-- / aside -->

<!-- content -->
<div id="content" class="app-content" role="main">

  <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
    <div class="col">
      <div class="app-content-body ">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                  <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a>   </li>
                <li><a href>Home</a></li>               
                <li class="active"><i class="fa fa-angle-right"></i>Chart</li>
              </ul>
          </div>
          <div class="bg-light b-b wrapper-md padder-md ">
            <h1 class="m-n font-bold h4 padder" >BDG Chart</h1>
          </div>
      




<div class="wrapper-lg bg-light">
            
           <div class="row">
              <div class="col-lg-4">
                <div class="panel panel-default">
                  <div class="panel-heading font-regular">
                    Jumlah Anak Lahir Tahun 2016
                  </div>
                  <div class="panel-body text-center no-padder">
                    <h4 class="text-warning">120.000</h4>
                    <small class="text-light-grey block">Updated at 20 minutes ago</small>
                    <div class="inline">
                      <div ui-jq="easyPieChart" ui-options="{
                                percent: 75,
                                lineWidth: 10,
                                trackColor: '#e5e6ec',
                                barColor: '#ff7e00',
                                scaleColor: '#fff',
                                size: 188,
                                lineCap: 'butt'
                              }">
                        <div>
                          <span class="h2">75%</span>
                          <div class="text">Masyarakat Bandung</div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="panel-footer"><small>% of avarage rate of the Conversion</small></div>
                </div>
              </div>
              <div class="col-lg-4">
                <div class="panel panel-default">
                  <div class="panel-heading font-regular">
                    Jumlah Anak di Bawah 1 Tahun
                  </div>
                  <div class="panel-body text-center no-padder">
                    <h4 class="text-success">40.000</h4>
                    <small class="text-light-grey block">Updated at 20 minutes ago</small>
                    <div class="inline">
                      <div ui-jq="easyPieChart"  ui-options="{
                                percent: 25,
                                lineWidth: 10,
                                trackColor: '#e5e6ec',
                                barColor: '#8dc80e',
                                scaleColor: '#ffffff',
                                size: 188,
                                lineCap: 'butt',
                                animate: 1000
                              }">
                        <div>
                          <span class="h2 m-l-sm step">25</span>%
                          <div class="text">Masyarakat Bandung</div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="panel-footer"><small>% of change</small></div>
                </div>
              </div>

              <div class="col-lg-4">
                <div class="panel panel-default">
                  <div class="panel-heading font-regular">
                    Jumlah Anak yang Memiliki Akte
                  </div>
                  <div class="panel-body text-center no-padder">
                    <h4 class="text-info">430.000</h4>
                    <small class="text-light-grey block">All Domestic Visitors</small>
                    <div class="inline">
                      <div ui-jq="easyPieChart"  ui-options="{
                                percent: 97,
                                lineWidth: 10,
                                trackColor: '#e5e6ec',
                                barColor: '#00b0ff',
                                scaleColor: '#ffffff',
                                size: 188,
                                lineCap: 'butt',
                                animate: 1000
                              }">
                        <div>
                          <span class="h2 m-l-sm step">97</span>%
                          <div class="text">Masyarakat Bandung</div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="panel-footer"><small>% of change</small></div>
                </div>
              </div>
   
          </div>

          <div class="row">
            <div class="col-md-12 padder-v"></div>
          </div>
   
</div>

      </div>
      <!-- App-content-body -->  

    </div>
    <!-- .col -->
    

    
    <div class="col w-ml bg-white-only bg-auto no-border-xs">
    <div class="nav-tabs-alt" >
      <ul class="nav nav-tabs" role="tablist">
        <li class="active">
          <a data-target="#tab-1" role="tab" data-toggle="tab">
            <i class="icon-bdg_people text-md text-muted wrapper-xs"></i>People
          </a>
        </li>
        <li>
          <a data-target="#tab-2" role="tab" data-toggle="tab">
            <i class="icon-bdg_chat text-md text-muted wrapper-xs"></i>Chat
          </a>
        </li>
        <li>
          <a data-target="#tab-3" role="tab" data-toggle="tab">
            <i class="icon-bdg_invoice text-md text-muted wrapper-xs"></i>Invoice
          </a>
        </li>
      </ul>
    </div>
    <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="tab-1">
        <div class="wrapper-none">         
          <ul class="list-group no-bg no-borders">
            <li class="list-group-item b-b padder-v">
              <a herf class="pull-left thumb-sm avatar m-r">
                <img src="img/02.jpg" alt="..." class="img-circle">
                <i class="on b-white bottom"></i>
              </a>
              <div class="clear">
                <div><a href>Mochamad Ridwan Kamil S.T., MUD.</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <a herf class="pull-left thumb-sm avatar m-r">
                <img src="img/06.jpg" alt="..." class="img-circle">
                <i class="on b-white bottom"></i>
              </a>
              <div class="clear">
                <div><a href>H.Dada Rosada S.H., M.Si.</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <a herf class="pull-left thumb-sm avatar m-r">
                <img src="img/05.jpg" alt="..." class="img-circle">
                <i class="busy b-white bottom"></i>
              </a>
              <div class="clear">
                <div><a href>H.AA Tarmana</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <a herf class="pull-left thumb-sm avatar m-r">
                <img src="img/04.jpg" alt="..." class="img-circle">
                <i class="away b-white bottom"></i>
              </a>
              <div class="clear">
                <div><a href>Wahyu Hamidjaja</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <a herf class="pull-left thumb-sm avatar m-r">
                <img src="img/03.jpg" alt="..." class="img-circle">
                <i class="away b-white bottom"></i>
              </a>
              <div class="clear">
                <div><a href>H. Ateng Wahyudi</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
          </ul>          
        </div>
      </div>
      <div role="tabpanel" class="tab-pane tab-2" id="tab-2">
        <div class="wrapper-none">
          
          <ul class="list-group no-bg no-border auto">
            <li class="list-group-item b-b padder-v">
              <span class="pull-left thumb-sm m-r"><img src="img/03.jpg" alt="..." class="img-circle"></span>
              <a href="#" class="text-muted" ui-toggle-class="show" target=".app-aside-right"><i class="fa fa-comment-o pull-right m-t-sm text-sm"></i></a>
              <div class="clear">
                <div><a href>H. Ateng Wahyudi</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <span class="pull-left thumb-sm m-r"><img src="img/04.jpg" alt="..." class="img-circle"></span>
              <a href="#" class="text-muted" ui-toggle-class="show" target=".app-aside-right"><i class="fa fa-comment-o pull-right m-t-sm text-sm"></i></a>
              <div class="clear">
                <div><a href>Wahyu Hamidjaja</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <span class="pull-left thumb-sm m-r"><img src="img/05.jpg" alt="..." class="img-circle"></span>
              <a href class="text-muted" ui-toggle-class="show" target=".app-aside-right"><i class="fa fa-comment-o pull-right m-t-sm text-sm"></i></a>
              <div class="clear">
                <div><a href>H.AA Tarmana</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
            <li class="list-group-item b-b padder-v">
              <span class="pull-left thumb-sm m-r"><img src="img/01.jpg" alt="..." class="img-circle"></span>
              <a href class="text-muted" ui-toggle-class="show" target=".app-aside-right"><i class="fa fa-comment-o pull-right m-t-sm text-sm"></i></a>
              <div class="clear">
                <div><a href>Mochamad Ridwan Kamil S.T., MUD.</a></div>
                <small class="text-muted">Walikota Bandung</small>
              </div>
            </li>
          </ul>
        </div>
      </div>
      <div role="tabpanel" class="tab-pane tab-3" id="tab-3">
        <div class="wrapper-none">          
          <ul class="list-group no-bg no-border auto">
            <li class="list-group-item">
              <span class="text-grey l-h-s">Dana CSR utk Kota Bandung 3:00 pm</span>
              <span class="block text12 text-info font-bold">Rp. 15.000.000,00</span>
            </li>
            <li class="list-group-item">
              <span class="text-grey l-h-s">Dana CSR utk Kota Bandung 3:00 pm</span>
              <span class="block text12 text-success font-bold">Rp. 120.451.000,00</span>
            </li>
            <li class="list-group-item">
             <span class="text-grey l-h-s">Dana CSR utk Kota Bandung 3:00 pm</span>
              <span class="block text12 text-warning font-bold">Rp. 500.000,00</span>
            </li>
            <li class="list-group-item">
              <span class="text-grey l-h-s">Dana CSR utk Kota Bandung 3:00 pm</span>
              <span class="block text12 text-danger font-bold"> - Rp. 15.000.000,00</span>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div class="padder-md">      
      <!-- streamline -->
      <div class="m-b text-middle text14 font-semibold">Aktifitas Terbaru</div>
      <div class="streamline b-l m-b b-grey">
        <div class="sl-item b-grey">
          <div class="m-l">
            <div class="text-muted">5 menit yang lalu</div>
            <p class="text-grey"><a href class="text-info">Wa Dedy</a> mengomentari tautan anda.</p>
          </div>
        </div>
        <div class="sl-item b-grey">
          <div class="m-l">
            <div class="text-muted">11:30</div>
            <p class="text-grey">Meeting Internal Dishub</p>
          </div>
        </div>
        <div class="sl-item b-success b-l">
          <div class="m-l">
            <div class="text-muted">10:30</div>
            <p class="text-grey">Membalas email dari <a href class="text-info">Rian</a>.</p>
          </div>
        </div>       
        <div class="sl-item b-primary b-l">
          <div class="m-l">
            <div class="text-muted">Wed, 25 Mar</div>
            <p class="text-grey"> <a href class="text-info">Syarip</a> Menyelesaikan PSD Mobile Kit.</p>
          </div>
        </div>
        <div class="sl-item b-warning b-l">
          <div class="m-l">
            <div class="text-muted">Thu, 10 Mar</div>
            <p class="text-grey"><a href class="text-info">Fajar</a> memberikan masukan Crossbrowser Testing</p>
          </div>
        </div>
        <div class="sl-item b-info b-l">
          <div class="m-l">
            <div class="text-muted">Sat, 5 Mar</div>
            <p class="text-grey">Persiapan Presentasi</p>
          </div>
        </div>
        <div class="sl-item b-grey b-l">
          <div class="m-l">
            <div class="text-muted">Sun, 11 Feb</div>
            <p class="text-grey"><a href class="text-info">Syarip</a> menyelesaikan Task <a href class="text-info">Mockup Design</a>.</p>
          </div>
        </div>
        <div class="sl-item b-grey b-l">
          <div class="m-l">
            <div class="text-muted">Thu, 17 Jan</div>
            <p class="text-grey">Follow up report HTML</p>
          </div>
        </div>
      </div>
      <!-- / streamline -->
    </div>    
  </div>



    </div>
    <!-- end hbox hbox-auto-xs -->
</div>


   <!-- footer -->
  <footer id="footer" class="app-footer" role="footer">
    <div class="wrapper-md padder-lg b-t bg-light">
      <span class="pull-right">&copy; Copyright Bandung <a href ui-scroll="app" class="m-l-sm text-muted"><i class="icon-bdg_arrow11"></i></a></span>
     Made with <i class="text-danger fa fa-heart"></i> in Bandung
    </div>
  </footer>
  <!-- / footer -->



</div>

<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>

</body>
</html>