<?php 
  include_once 'permohonanClass.php';
  $permohonan = new Permohonan();

  session_start();
  include_once 'User.php';

  $user = new User();
  $id = $_SESSION['id'];
  if(!$user->get_session()){
    header("location:signin.php");
  }
  if($_GET['q'] == 'logout'){
    $user->user_logout();
    header("location:signin.php");
  }

  if (!empty($_POST)) {
    if(isset($_POST['Alasan'])) {
      $permohonan->reject($_POST['permohonan_id'], $_POST['Alasan']);
    } else {
      if($user->get_role($id) == "stafDisdukcapil") {
        $permohonan->verifyStafDisdukcapil($_POST['permohonan_id']);
        $myfile = fopen("log.txt", "a+") or die("Unable to open file!");
        $username = $user->get_usernameReturn($id) . PHP_EOL;
        fwrite($myfile, $username);
        fclose($myfile);
      } else if ($user->get_role($id) == "rumahSakit") {
        $permohonan->verifyRS($_POST['permohonan_id']);
        $myfile = fopen("log.txt", "a+") or die("Unable to open file!");
        $username = $user->get_usernameReturn($id) . PHP_EOL;
        fwrite($myfile, $username);
        fclose($myfile);
      } else {
        $permohonan->cetak($_POST['permohonan_id']);
        $myfile = fopen("log.txt", "a+") or die("Unable to open file!");
        $username = $user->get_usernameReturn($id) . PHP_EOL;
        fwrite($myfile, $username);
        fclose($myfile);
      }
    }

  }
?>

<!DOCTYPE html>
<html lang="en" class="">
<head>
  <meta charset="utf-8" />
  <title>Bandung Web Kit | BDGWEBKIT</title>
  <meta name="description" content="Bandung Web Kit" />
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
  <link rel="stylesheet" href="../libs/assets/animate.css/animate.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/font-awesome/css/font-awesome.min.css" type="text/css" />
  <link rel="stylesheet" href="../libs/assets/simple-line-icons/css/simple-line-icons.css" type="text/css" />
  <link rel="stylesheet" href="../libs/jquery/bootstrap/dist/css/bootstrap.css" type="text/css" />

  <link rel="stylesheet" href="css/font.css" type="text/css" />
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  

</head>
<body>
<div class="app app-header-fixed ">
  

    <!-- header -->
  <header id="header" class="app-header navbar" role="menu">
      <!-- navbar header -->
      <div class="navbar-header bg-info">
        <button class="pull-right visible-xs dk" ui-toggle-class="show" target=".navbar-collapse">
          <i class="glyphicon glyphicon-cog"></i>
        </button>
        <button class="pull-right visible-xs" ui-toggle-class="off-screen" target=".app-aside" ui-scroll="app">
          <i class="glyphicon glyphicon-align-justify"></i>
        </button>
        <!-- brand -->
        <a href="index.php" class="navbar-brand text-lt">          
          <img src="img/logo-small.png" alt="." class="small-logo hide">
          <img src="img/APKBLogo.png" alt="." class="large-logo">
        </a>
        <!-- / brand -->
      </div>
      <!-- / navbar header -->

      <!-- navbar collapse -->
      <div class="collapse pos-rlt navbar-collapse bg-info">
        <!-- buttons -->
        <div class="nav navbar-nav hidden-xs">
                  
        </div>
        <!-- / buttons -->

        <!-- link and dropdown -->
        <ul class="nav navbar-nav hidden-sm">
          <li>
            <a href="index.php">HOME</a>
          </li>
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="dropdown-toggle">
              <i class="fa fa-fw fa-plus visible-xs-inline-block"></i>
              <span>AKTIVITAS</span> <span class="caret"></span>
            </a>
            <ul class="dropdown-menu" role="menu">
              <li>
                <a href="statistik.php?q=false">
                  <span>Statistik</span>
                </a>
              </li>
            </ul>
          </li>
        </ul>
        <!-- / link and dropdown -->

        <!-- nabar right -->
        <ul class="nav navbar-nav navbar-right">
          <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="bg-blue profile-header dropdown-toggle clear" data-toggle="dropdown">
              <span class="thumb-sm avatar pull-left m-t-n-sm m-b-n-sm m-r-sm">
                <img src="img/01.jpg" alt="...">                
              </span>
              <?php
                echo '<span class="hidden-sm hidden-md m-r-xl"></span>'. $user->get_username($id) .' <i class="text14 icon-bdg_setting3 pull-right"></i>'
              ?>
            </a>
            <!-- dropdown -->
            <ul class="dropdown-menu animated fadeIn w-ml">             
              <li>
                <a href="?q=logout">Logout</a>
              </li>
            </ul>
            <!-- / dropdown -->
          </li>
        </ul>
        <!-- / navbar right -->
      </div>
      <!-- / navbar collapse -->
  </header>
  <!-- / header -->


    <!-- aside -->
  <aside id="aside" class="app-aside hidden-xs bg-dark">
      <div class="aside-wrap">
        <div class="navi-wrap">
          <!-- user -->
          <div class="clearfix hidden-xs text-center hide" id="aside-user">
            <div class="dropdown wrapper">
              <a href="app.page.profile">
                <span class="thumb-lg w-auto-folded avatar m-t-sm">
                  <img src="img/01.jpg" class="img-full" alt="...">
                </span>
              </a>
              <a href="#" data-toggle="dropdown" class="dropdown-toggle hidden-folded">
                <span class="clear">
                  <span class="block m-t-sm">
                    <strong class="font-bold text-lt">John.Smith</strong> 
                    <b class="caret"></b>
                  </span>
                  <span class="text-muted text-xs block">Art Director</span>
                </span>
              </a>
              <!-- dropdown -->
              <ul class="dropdown-menu animated fadeInRight w hidden-folded">
                <li>
                  <a href="?q=logout">Logout</a>
                </li>
              </ul>
              <!-- / dropdown -->
            </div>
            <div class="line dk hidden-folded"></div>
          </div>
          <!-- / user -->

           <!-- nav -->
          <nav ui-nav class="navi clearfix">
            <ul class="nav">
              <li class="hidden-folded m-t text-dark-grey text-xs padder-md padder-v-sm">
                <span>Navigation</span>
              </li>
              <li>
                <a href="index.php" class="text-dark-grey" >      
                  <i class="icon-bdg_dashboard icon-grey"></i>
                  <span class="font-bold">Dashboard</span>
                </a>               
              </li>
              
              <li class="line1 dg"></li>

              <li class="hidden-folded text-dark-grey text-xs padder-md padder-v-sm">
                <span>Components</span>
              </li>
              <li>
                <a href="statistik.php?q=false" class="auto">
                  <i class="icon-bdg_table"></i>
                  <span class="font-bold">Statistik</span>
                </a>
              </li>
            </ul>
          </nav>
          <!-- nav -->



        </div>
      </div>
  </aside>
  <!-- / aside -->

  <!-- content -->
   <div id="content" class="app-content" role="main">
    <div class="hbox hbox-auto-xs hbox-auto-sm ng-scope">
      <div class="col">
        <div class="app-content-body ">

          <div class="bg-light lter">    
              <ul class="breadcrumb bg-grey-breadcrumb m-b-none">
                <li><a href="#" class="btn no-shadow" ui-toggle-class="app-aside-folded" target=".app">
                  <i class="icon-bdg_expand1 text"></i>
                  <i class="icon-bdg_expand2 text-active"></i>
                </a></li>
                <li><a href>Home</a></li>                
                <li class="active"><i class="fa fa-angle-right"></i>Daftar Permohonan</li>
              </ul>
          </div>

          <div class="bg-light lter b-b wrapper-md padder-md">
            <h1 class="m-n font-semibold h4 text-grey padder">Daftar Permohonan</h1>
          </div>

          <div class="wrapper-lg">
            <div class="row">
              <div class="col-md-12">
                <div class="panel panel-default">
                  <div class="panel-heading font-semibold">
                    Permohonan
                     <div style="color:blue"><?php if(!empty($_POST)) {
                                                 echo "<br>"; 
                                                 echo "Proses Verifikasi Berhasil"; 
                                               } 
                                            ?> 
                    </div>
                  </div>
                  <div class="panel-body">
                  <div class="col-sm-10" style="padding-bottom:10px">
                  <form>
                    Search: 
                    <input type="text" name="search" class= "input-sm form-control w-sm inline v-middle"placeholder="Ketik disini">
                      <select name="jenis" class="input-sm form-control w-sm inline v-middle">
                      <option value="nama">Nama Anak</option>
                      <option value="idAyah">NIK Ayah</option>
                      <option value="namaAyah">Nama Ayah</option>
                      <option value="idIbu">NIK Ibu</option>
                      <option value="namaIbu">Nama Ibu</option>
                      <input type="hidden" name="q" value="false">
                    </select>
                    <button class= "btn btn-sm btn-default">Go</button>
                  </form> 
                  </div>
                    
                  <br>
                    <div class="col-sm-12 table-responsive">
                    
                    <?php
                      $servername = "localhost";
                      $username = "root";
                      $password = "";
                      $dbname = "akte_kelahiran";

                      // Create connection
                      $conn = new mysqli($servername, $username, $password, $dbname);
                      // Check connection
                      if ($conn->connect_error) {
                          die("Connection failed: " . $conn->connect_error);
                      } 

                      $search = "";

                      if (isset($_GET["search"])){
                        $search = $_GET["search"];
                        $value = $_GET["jenis"];
                        $sql = "SELECT * FROM `permohonan` WHERE `$value` LIKE '%$search%'";
                        if($user->get_role($id) == "rumahSakit"){
                          $RSid = $user->get_RSid($id);
                          $sql = "SELECT * FROM permohonan WHERE idRumahsakit=$RSid AND status='diproses' AND `$value` LIKE '%$search%'";
                        } else if($user->get_role($id) == "stafDisdukcapil") {
                          $sql = "SELECT * FROM permohonan WHERE status = 'diproses staf disdukcapil' AND `$value` LIKE '%$search%'";
                        } else 
                          $sql = "SELECT * FROM permohonan WHERE status = 'diproses kepala disdukcapil' AND `$value` LIKE '%$search%'";
                      } else {
                        if($user->get_role($id) == "rumahSakit"){
                          $RSid = $user->get_RSid($id);
                          $sql = "SELECT * FROM permohonan WHERE idRumahsakit=$RSid AND status='diproses'";
                        } else if($user->get_role($id) == "stafDisdukcapil") {
                          $sql = "SELECT * FROM permohonan WHERE status = 'diproses staf disdukcapil'";
                        } else 
                          $sql = "SELECT * FROM permohonan WHERE status = 'diproses kepala disdukcapil'";
                      }
  
                      $result = $conn->query($sql);

                      if ($result->num_rows > 0) {
                        echo'
                          <table class="table table-striped b-t b-b">
                          
                            <thead>
                              <tr>
                                <th  style="width:18%">Nama Anak</th>
                                <th  style="width:18%">NIK Ayah</th>
                                <th  style="width:18%">Nama Ayah</th>
                                <th  style="width:18%">NIK Ibu</th>
                                <th  style="width:18%">Nama Ibu</th>
                                <th style="width:3%"></th>
                              </tr>
                            </thead>
                        ';
                        // output data of each row
                        while($row = $result->fetch_assoc()) {
                          echo'
                            <tbody>
                              <tr>
                                <td>'.$row["nama"].'</th>
                                <td>'.$row["idAyah"].'</th>
                                <td>'.$row["namaAyah"].'</th>
                                <td>'.$row["idIbu"].'</th>
                                <td>'.$row["namaIbu"].'</th>
                                <td><a class = "btn m-b-sm m-r-sm btn-info btn-sm" href="validasiPermohonan.php?q=false&permohonan_id='. $row["id"].'&id_pengguna='. $id .'">Verify</a> </td>
                            </tbody>
                          ';
                        }
                        echo'
                          </table>
                        ';
                      } else {
                        echo "0 results";
                      }
                      $conn->close();
                    ?>
                  </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /content -->


  
   <!-- footer -->
  <footer id="footer" class="app-footer" role="footer">
    <div class="wrapper-md padder-lg b-t bg-light">
      <span class="pull-right">&copy; Copyright Bandung <a href ui-scroll="app" class="m-l-sm text-muted"><i class="icon-bdg_arrow11"></i></a></span>
     Made with <i class="text-danger fa fa-heart"></i> in Bandung
    </div>
  </footer>
  <!-- / footer -->





<script src="../libs/jquery/jquery/dist/jquery.js"></script>
<script src="../libs/jquery/bootstrap/dist/js/bootstrap.js"></script>
<script src="js/ui-load.js"></script>
<script src="js/ui-jp.config.js"></script>
<script src="js/ui-jp.js"></script>
<script src="js/ui-nav.js"></script>
<script src="js/ui-toggle.js"></script>
<script src="js/ui-client.js"></script>
</body>
</html>
